#!/bin/sh
# $Id: make-portrait.sh,v 1.1 2004/07/22 08:24:22 alex Exp alex $
#

PATH=/usr/local/bin:/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/X11R6/bin
export PATH

srcdir=$1
dstdir=$2

cat $srcdir/person-idx-ja.tex | grep '^%%PERSON' | awk '{print $2}' > $dstdir/person.list
cat $srcdir/organization-idx-ja.tex | grep '^%%ORGANIZATION' | awk '{print $2}' > $dstdir/organization.list

cat  $srcdir/person-idx-ja.tex | utf8tex | nkf -e > $dstdir/person-idx-ja.tex
cat  $srcdir/person-idx-en.tex | utf8tex | nkf -e > $dstdir/person-idx-en.tex

cat  $srcdir/organization-idx-ja.tex | utf8tex | nkf -e > $dstdir/organization-idx-ja.tex
cat  $srcdir/organization-idx-en.tex | utf8tex | nkf -e > $dstdir/organization-idx-en.tex

cat  $srcdir/keyword-idx-ja.tex | utf8tex | nkf -e > $dstdir/keyword-idx-ja.tex
cat  $srcdir/keyword-idx-en.tex | utf8tex | nkf -e > $dstdir/keyword-idx-en.tex

for p in `cat $dstdir/person.list` ; do
	cat $srcdir/person/$p/profile-ja.tex | utf8tex | nkf -e > $dstdir/person-$p-profile-ja.tex
	cat $srcdir/person/$p/profile-en.tex | utf8tex | nkf -e > $dstdir/person-$p-profile-en.tex
	cp $srcdir/person/$p/portrait.eps $dstdir/person-$p-portrait.eps
done

for p in `cat $dstdir/organization.list` ; do
	cat $srcdir/organization/$p/index-ja.tex | utf8tex | nkf -e > $dstdir/organization-$p-ja.tex
	cat $srcdir/organization/$p/index-en.tex | utf8tex | nkf -e > $dstdir/organization-$p-en.tex
done

cd $dstdir
./make.sh > make.log 2>&1
cd ..

exit 0

#	cat $srcdir/person/$p/work-ja.tex | utf8tex | nkf -e > $dstdir/person-$p-work-ja.tex
#	cat $srcdir/person/$p/work-en.tex | utf8tex | nkf -e > $dstdir/person-$p-work-en.tex

