#!/bin/sh
# $Id: make.sh,v 1.1 2004/07/22 08:24:22 alex Exp alex $
#

cd /usr/local/www/data/univ

PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/X11R6/bin:/usr/local/bin:`pwd`
export PATH

make_ERD() {

dn=$2
mkdir -p $dn $dn-tex

/usr/local/edb/bin/edb_erd -C erd.conf $1 /usr/local/www/data/univ/$2 $3 $4

find $dn/person $dn/organization -type f -mtime +3 -exec rm -f {} \; > /dev/null
find $dn/person $dn/organization -type d -depth -empty -exec rmdir {} \; > /dev/null

if [ "$2" = "ERD" ]; then
	cp ERD-index.html ERD/index.html
fi
rm -f ERD$1.tar.tmp
tar cf ERD$1.tar.tmp --exclude '*\.old' --exclude '*.sh' --exclude '*.core' --exclude '*\.eps' --exclude '*\.tex' --exclude '*\.tmp' $2
gzip -9fn ERD$1.tar.tmp
mv ERD$1.tar.tmp.gz ERD$1.tar.gz

./make-pdf.sh $dn $dn-tex
}

publish_ERD() {
cd /usr/local/www/data/temp

if [ -d ERD.old ]; then
        rm -rf ERD.old
fi

cp ../univ/ERD.tar.gz .
if [ -s ERD.tar.gz ]; then
        /usr/bin/gzip -dc ERD.tar.gz | tar xf -
else
        echo 'cannot get ERD.tar.gz'
        exit 0
fi
if [ -d ERD ]; then
        mv ../ERD ERD.old
        mv ERD ../ERD
fi
rm -rf ERD.old
rm -f ERD.tar.gz
}

#make_ERD '' ERD-20090331 -today 20090331

make_ERD -preview ERD-preview

make_ERD '' ERD

cp ERD-tex/ERD.pdf .

publish_ERD

exit 0
